From 97a99a08f3d0ed4d13df133ab82ba4c2394a9c69 Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Sun, 18 Mar 2012 14:14:14 +0100
Subject: [PATCH] made it possible to grab all the models at once using
 joli.models.get()

---
 joli.js | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/joli.js b/joli.js
index d62bfce..9c8303e 100644
--- a/joli.js
+++ b/joli.js
@@ -351,7 +351,11 @@ var joliCreator = function() {
 
     joli.Models.prototype = {
         get: function(table) {
-            return this.models[table];
+            if (table !== undefined) {
+                return this.models[table];
+            } else {
+                return this.models;
+            }
         },
         has: function(table) {
             if (this.models[table]) {
